#
# spec file for package idzebra (Version 1.3.18)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  expat libyaz libyaz-devel openssl-devel readline readline-devel tcl tcl-devel tcpd tcpd-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat gcc gdbm gettext libtool libyaz libyaz-devel openssl-devel perl readline-devel rpm tcl tcl-devel tcpd-devel

Name:         idzebra
Version:      1.3.18
Release:      0.1
Requires:     yaz
License:      Other License(s), see package, GPL
Group:        Productivity/Databases/Servers
Source:       ftp://ftp.indexdata.dk/pub/zebra/idzebra-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.indexdata.dk/zebra/
Summary:      Fielded free-text engine with a Z39.50 frontend

%description
Zebra is a fielded free-text indexing and retrieval engine with a
Z39.50 frontend. You can use any compatible, commercial or freeware
Z39.50 client to access data stored in Zebra.



Authors:
--------
    Adam Dickmeiss <adam@indexdata.dk>

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
  --sysconfdir=%{_sysconfdir} \
  --with-yazconfig=%{_bindir}
make
%ifarch ix86
  # 2004-11-17 07:44:55 CET -ke-
  # there are problems with killing zebrasrv reliably
  make check
%endif

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# pushd doc
# make DESTDIR=$RPM_BUILD_ROOT install
# popd
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
#
rm -fr html
mkdir html
ln -sf zebra.html html/index.html
cp doc/*html html
cp doc/*.pdf .
%define DOCFILES README LICENSE.* NEWS *.pdf
{
  echo "<html><head><title>%{name} documentation directory</title></head>"
  echo "<body><ul>"
  echo "<li><a href=\"html/index.html\">%{name}</a>, official documentation (local)"
  for f in %{DOCFILES}  ; do
    if [ "http:" = "${f%%%%/*}" ]; then
      echo "<li><a href=\"$f\">$f</a>"
      continue
    fi
    [ -f $f ] || continue
    echo "<li><a href=\"$f\">$f</a>"
  done
  echo "</li></body></html>"
} >index.html
pushd $RPM_BUILD_ROOT
  mkdir -p etc/idzebra usr/share/idzebra
  cp -a usr/share/idzebra/tab/* etc/idzebra
  rm -fr usr/share/idzebra/tab
  ln -sf /etc/idzebra $RPM_BUILD_ROOT/usr/share/idzebra/tab
popd

%files
%defattr(-,root,root)
%doc %{DOCFILES}
%doc index.html html
%doc *.pdf
%doc examples
%doc doc/zvrank.txt doc/marc_indexing.xml
%dir %{_datadir}/idzebra
%dir %{_datadir}/idzebra/tab
%config %{_sysconfdir}/idzebra
%{_bindir}/zebrasrv
%{_bindir}/zebraidx
%{_bindir}/zebrash
%{_includedir}/*
%{_mandir}/*/*

%changelog -n idzebra
* Wed Jun 02 2004 - ro@suse.de
- added openssl-devel to neededforbuild
* Wed Mar 17 2004 - ke@suse.de
- Add -fno-strict-aliasing to CFLAGS.
* Thu Jan 15 2004 - ke@suse.de
- Update to version 1.3.15; changes:
  * Fix bug: X-Path attribute expressions with spaces in them now works.
  * Fix base address for MARC output.
* Sat Jan 10 2004 - adrian@suse.de
- build as user.
* Mon Dec 01 2003 - ke@suse.de
- Update to version 1.3.14; changes:
  * Fix bug with shadow and result set handling.
  * Implement MARCXML to ISO2709 conversion.
* Fri Oct 17 2003 - ke@suse.de
- Update to version 1.3.13; changes:
  * Zebra ignores "unsupported use attribute" for individual databases
  when search multiple databases (unless all databases fail).
  * New filter grs.marcxml which works like grs.marc but produces MARCXML.
  * Add support for database deletion. It is possible to create/drop
  a database from zebraidx utility. Note: only for isam:b.
  * Write zebrasrv.pid to lockdir.
  * Zebra server checks for zebrasrv.pid and refuses to start if it is
  already locked by another (running) zebrasrv.
  * Bug fix: result sets were not recovered correctly. Had to
  add ODR handle for zebra_search_RPN in order to make it work.
  * Fix a bug in regx filters that didn't do anchors (^) correctly.
  * Fix a bug in searches with X-Path searches sometimes giving "extra"
  hits.
  * Fix a bug with text being chunked in pieces for the grs.xml filter.
- Enable tests.
* Thu Jun 05 2003 - ke@suse.de
- Fix broken link.
* Mon May 26 2003 - ke@suse.de
- Cleanup $RPM_BUILD_ROOT.
- Add missing files (*.h and /usr/bin/zebrash).
* Thu May 22 2003 - ke@suse.de
- Update to version 1.3.11; changes:
- xelm code updates. xelm works regardless state of 'xpath enable/disable'.
- Allow multiple updates within one transaction.
- Fix a bug with >2GB files (overflow in integer expression).
- Add yazlib and yazlib-devel to neededforbuild.
* Mon Apr 14 2003 - ke@suse.de
- Update to version 1.3.10; changes:
  * Fix bug in and operation which in some cases could result in "extra"
  hits. Bug was introduced in 1.3.5.
  * Fix bug in handling of schema conversion when producing numeric tags.
  * Zvrank updates (plus documentation).
* Thu Mar 27 2003 - ke@suse.de
- Update to version 1.3.8; changes:
  * Zvrank: an experimental ranking algorithm. See doc/zvrank.txt and
  source in index/zvrank.c. Enable this by using rank: zvrank in
  zebra.cfg.
  * livrank: another experimental ranking algorithm. Source in livcode.c.
  Enable this by using rank: livrank in zebra.cfg and use -DLIV_CODE=1
  for CFLAGS (no enabled on SuSE Linux by default).
  * Advanced MARC indexing. See doc/marc_indexing.xml.
  * Perl API updates and fixes.
  * Fixes: 'zebraidx delete'; a few memory leaks WRT sorting.
  * Implement 'zebraidx clean'.
* Wed Mar 26 2003 - ke@suse.de
- Update to version 1.3.7; changes since 1.3.4:
  * Support Truncation 104 (CCL).
  * Implemented xelm directive.
  * Updated for newer version of YAZ (introduction of string schema).
  * Directory examples/zthes now part of distribution.
  * New .abs directive, systag, that control where to put retrieval
  information. The directive takes two arguments: system tag, element
  name.  System tag is one of : rank, sysno, size.
* Fri Nov 29 2002 - ke@suse.de
- Update to version 1.3.4; changes since 1.3.0:
  * Move data1 to Zebra (used to be part of YAZ).
  * XML record reader moved from YAZ to Zebra, to make YAZ less
  dependant on external libraries.
  * Zebra server stops with a fatal error if config file cannot be read.
  * New config setting, followLinks, that controls whether update of
  files should follow symbolic. Set it to 1 (for enable) or 0 (to disable).
  By default symbolic links are followed.
  * Perl Filter and Perl API.
  * For zebra.cfg, if no profilePath is specified, directory
  (prefix)/share/idzebra/tab (/etc/idzebra) is used.
  * Bug fix: sort index was not properly modified on record
  updates/deletes.
  * Fix handling of character entities for sgml filter.
  * Fix character encoding of scan response terms.
  * Fix character decoding of scan request terms.
  * Fix ESpec handling (requires YAZ 1.9.1)
  * Fix searches for complete fields.
  * Fix MARC transfer. MARC fields had wrong data for multiple fields.
  * XML record reader supports external system entities.
  * New .abs-directive "xpath" that takes one argument: "enable"
  or "disable" to enable and disable XPath -indexing. If no "xpath"
  direcive is found in .abs-file , XPath-indexing is disabled to ensure
  backwards compatibility. For missing .abs-files XPath-indexing is
  enabled so that such records are searchable.
  * Zebra warns about missing .abs-file only once (for each type).
  * Fixed a bug in file update where already-inserted files could be
  treated as "new".
* Mon Nov 25 2002 - ke@suse.de
- Rename zebra-engine to idzebra to avoid naming clash with GNU zebra.
- Update to version 1.3.0; extract from
  http://www.indexdata.dk/zebra/CHANGELOG:
  * Zebra license changed to GNU GPL.
  * New Zebra API. Locking system re-implemented.
  * XPATH-like queries used when RPN string attributes are used, eg.
  @attr 1=/portal/title sometitle
  @attr 1=/portal/title[@xml:lang=da] danishtitle
  @attr 1=/portal/title/@xml:lang da
  @attr 1=//title sometitle
  * Zebra uses UTF-8 internally: Setting in zebra.cfg; encoding of
  International strings is UTF-8 by default; new directive "encoding"
  in .abs-files.
  * XML filter (-t grs.xml).
  * Multiple registers.
* Mon Aug 05 2002 - ke@suse.de
- Add expat to #neededforbuild on account of yaz.
* Mon May 13 2002 - ke@suse.de
- New package: version 1.1.
